#
# Author:: Kevin Moser (<kevin.moser@nordstrom.com>)
#
# Copyright:: 2012, Nordstrom, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
class MetricCollect
  class Config
    def initialize()
      @params = Hash.new
      @params[:graphite_server] = "localhost"
      @params[:graphite_port] = "2003"
      @params[:statsd_server] = "localhost"
      @params[:statsd_port] = "8125"
      @params[:metrics_directory] = nil
      @params[:email_server] = nil
      @params[:email_from] = nil
      @params[:log_file] = nil
    end

    def method_missing(method_symbol, *args, &block)
      @params[method_symbol] = args[0]
      block.call if block
    end

    attr_reader :params
  end
end